EVENT_MANAGER:RegisterForEvent("Maiq", EVENT_ADD_ON_LOADED, function(_, name)
   if name ~= "Maiq" then return end
   EVENT_MANAGER:UnregisterForEvent("Maiq", EVENT_ADD_ON_LOADED)

   local tlw, texture
   tlw = WINDOW_MANAGER:CreateTopLevelWindow()
   tlw:SetDimensions(64, 64)
   tlw:SetAnchor(TOPLEFT, GuiRoot, TOPLEFT, 50, 50)
   texture = WINDOW_MANAGER:CreateControl(nil, tlw, CT_TEXTURE)
   texture:SetTexture("/maiq/maiq_black.dds")
   texture:SetAnchorFill(tlw)
    
   local fragment = ZO_HUDFadeSceneFragment:New(tlw, 1000, 1000)
   HUD_SCENE:AddFragment(fragment)
   HUD_UI_SCENE:AddFragment(fragment)
   
   EVENT_MANAGER:RegisterForEvent("Maiq", EVENT_PLAYER_COMBAT_STATE, function(_, inCombat)
      if inCombat then
         fragment:Hide()
      else
         fragment:Show()
      end
   end)
end)

 